> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Profile Pools

> List all agent profile pools for an organization



## OpenAPI

````yaml https://odyssey.asteroid.ai/agents/v2/openapi.yaml get /agent-profile-pools
openapi: 3.1.0
info:
  title: Agent Service
  version: v1
servers:
  - description: V2 API
    url: https://odyssey.asteroid.ai/agents/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
  - name: Execution
  - name: Files
  - name: Agent Profiles
  - name: Agent Profile Pools
  - name: Workflows
  - name: Schema
  - name: Documentation
  - name: Context
paths:
  /agent-profile-pools:
    get:
      tags:
        - Agent Profile Pools
      summary: List Agent Profile Pools
      description: List all agent profile pools for an organization
      operationId: AgentProfilePoolsList
      parameters:
        - description: Filter by organization ID
          explode: false
          in: query
          name: organizationId
          schema:
            $ref: '#/components/schemas/Common.uuid'
        - $ref: '#/components/parameters/Common.Pagination.pageSize'
        - $ref: '#/components/parameters/Common.Pagination.page'
        - $ref: '#/components/parameters/Agents.Profile.PoolSearch'
        - explode: false
          in: query
          name: sortField
          schema:
            $ref: '#/components/schemas/Agents.Profile.PoolSortField'
        - explode: false
          in: query
          name: sortDirection
          schema:
            $ref: '#/components/schemas/Common.SortDirection'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  items:
                    items:
                      $ref: '#/components/schemas/Agents.Profile.AgentProfilePool'
                    type: array
                  page:
                    format: int64
                    type: integer
                  pageSize:
                    format: int64
                    type: integer
                  total:
                    format: int64
                    type: integer
                required:
                  - items
                  - page
                  - pageSize
                  - total
                type: object
          description: The request has succeeded.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.BadRequestErrorBody'
          description: The server could not understand the request due to invalid syntax.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.UnauthorizedErrorBody'
          description: Access is unauthorized.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.ForbiddenErrorBody'
          description: Access is forbidden.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.NotFoundErrorBody'
          description: The server cannot find the requested resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.InternalServerErrorBody'
          description: Server error
components:
  schemas:
    Common.uuid:
      format: uuid
      type: string
    Agents.Profile.PoolSortField:
      description: Available fields for sorting agent profile pools
      enum:
        - name
        - created_at
        - updated_at
      type: string
    Common.SortDirection:
      enum:
        - asc
        - desc
      type: string
      x-go-type: sort.Direction
      x-go-type-import:
        name: sort
        path: github.com/asteroidai/agents/go/common/sort
    Agents.Profile.AgentProfilePool:
      description: A pool of agent profiles that can be used for credential rotation
      properties:
        allowConcurrentUse:
          description: Whether multiple executions can use the same profile concurrently
          type: boolean
        createdAt:
          description: When the pool was created
          format: date-time
          type: string
        id:
          allOf:
            - $ref: '#/components/schemas/Common.uuid'
          description: Unique identifier for the agent profile pool
        name:
          description: Name of the agent profile pool (unique within organization)
          type: string
        organizationId:
          allOf:
            - $ref: '#/components/schemas/Common.uuid'
          description: The ID of the organization that owns this pool
        selectionStrategy:
          allOf:
            - $ref: '#/components/schemas/Agents.Profile.SelectionStrategy'
          description: Strategy for selecting an available profile from the pool
        updatedAt:
          description: When the pool was last updated
          format: date-time
          type: string
      required:
        - id
        - name
        - organizationId
        - selectionStrategy
        - allowConcurrentUse
        - createdAt
        - updatedAt
      type: object
    Common.BadRequestErrorBody:
      properties:
        code:
          enum:
            - 400
          type: number
          x-enum-varnames:
            - BadRequest
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.UnauthorizedErrorBody:
      properties:
        code:
          enum:
            - 401
          type: number
          x-enum-varnames:
            - Unauthorized
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.ForbiddenErrorBody:
      properties:
        code:
          enum:
            - 403
          type: number
          x-enum-varnames:
            - Forbidden
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.NotFoundErrorBody:
      properties:
        code:
          enum:
            - 404
          type: number
          x-enum-varnames:
            - NotFound
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.InternalServerErrorBody:
      properties:
        code:
          enum:
            - 500
          type: number
          x-enum-varnames:
            - InternalServerError
        message:
          type: string
      required:
        - code
        - message
      type: object
    Agents.Profile.SelectionStrategy:
      description: Strategy for selecting an available profile from a pool
      enum:
        - least_recently_used
        - most_recently_used
      type: string
  parameters:
    Common.Pagination.pageSize:
      explode: false
      in: query
      name: pageSize
      schema:
        default: 50
        format: int32
        type: integer
    Common.Pagination.page:
      explode: false
      in: query
      name: page
      schema:
        default: 1
        format: int32
        type: integer
    Agents.Profile.PoolSearch:
      description: Search pools by name (partial match)
      explode: false
      in: query
      name: searchName
      schema:
        type: string
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-Asteroid-Agents-Api-Key
      type: apiKey

````